AOWP_PHPFunctionElement (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPFunctionElement
/parser/ast/PHPFunctionElement.class.php at line 19

# Class AOWP_PHPFunctionElement

    AOWP_PHPElement
        └─AOWP_PHPInnerStatementContainerElement
           └─AOWP_PHPFunctionElement

public class AOWP_PHPFunctionElement
extends AOWP_PHPInnerStatementContainerElement

PHPFunctionElement PHPのASTにおける「関数」を表すクラス 文法規則: unticked_function_declaration_statement

Author:
  Ryoto Naruse /

Field Summary
AOWP_Token | $functionName {@link AOWP_Token} (未確認。他にも来るかも。)。
mixed | $isReference
array | $paramaters {@link AOWP_PHPParamaterElement}の配列

Fields inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
innerStatements

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPFunctionElement(mixed _lineOrFunctionName, mixed isReference, mixed functionName, mixed paramaters, mixed innerStatements)

Method Summary
void | __toString()
void | addAmpersandParameter(mixed parameterName, mixed initialValue, mixed classTypeName)
unknown_type | addParameter(mixed parameterName, mixed initialValue, mixed classTypeName, $classTypeName )
string | getFunctionName() 関数名を取得します。
void | getParameterCount()
string | getParameterName(int index) 引き数で指定した、このインスタンスが表す関数の引き数の名前を、取得します。 引き数で指定した、引き数が無い場合、nullを返します。
void | kind()

Methods inherited from aowp.parser.ast.util.AOWP_PHPInnerStatementContainerElement
getInnerStatements, insertElement, insertElementArray, removeAllElements, removeElement, replaceElement, replaceElementWithElements, searchElementIndex, setElement, setElements, spliceStatement

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPFunctionElement.class.php at line 28

### functionName

`public AOWP_Token $functionName`

`AOWP_Token` (未確認。他にも来るかも。)。

/parser/ast/PHPFunctionElement.class.php at line 21

### isReference

`public mixed $isReference`

/parser/ast/PHPFunctionElement.class.php at line 35

### paramaters

`public array $paramaters`

`AOWP_PHPParamaterElement`の配列

## Constructor Detail

/parser/ast/PHPFunctionElement.class.php at line 37

### AOWP_PHPFunctionElement

`public AOWP_PHPFunctionElement(mixed _lineOrFunctionName, mixed isReference, mixed functionName, mixed paramaters, mixed innerStatements)`

## Method Detail

/parser/ast/PHPFunctionElement.class.php at line 97

### __toString

`public void __toString()`

/parser/ast/PHPFunctionElement.class.php at line 64

### addAmpersandParameter

`public void addAmpersandParameter(mixed parameterName, mixed initialValue, mixed classTypeName)`

/parser/ast/PHPFunctionElement.class.php at line 60

### addParameter

`public unknown_type addParameter(mixed parameterName, mixed initialValue, mixed classTypeName, $classTypeName )`

/parser/ast/PHPFunctionElement.class.php at line 73

### getFunctionName

`public string getFunctionName()`

関数名を取得します。

/parser/ast/PHPFunctionElement.class.php at line 93

### getParameterCount

`public void getParameterCount()`

/parser/ast/PHPFunctionElement.class.php at line 84

### getParameterName

`public string getParameterName(int index)`

引き数で指定した、このインスタンスが表す関数の引き数の名前を、取得します。 引き数で指定した、引き数が無い場合、nullを返します。

Returns:
  or null

/parser/ast/PHPFunctionElement.class.php at line 101

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr